# Generated by Django 2.2.4 on 2019-11-10 06:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gallery', '0006_merge_20191027_1758'),
        ('review', '0008_auto_20191108_0927'),
    ]

    operations = [
        migrations.AddField(
            model_name='inquiries',
            name='attachment_content_type',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='inquiries',
            name='bill_content_type',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.CreateModel(
            name='InquiriesGallery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_main', models.BooleanField(default=False, verbose_name='Is the main image')),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='inquiries_gallery', to='gallery.Image', verbose_name='gallery')),
                ('inquiry', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='inquiries_gallery', to='review.Inquiries', verbose_name='inquiry')),
            ],
            options={
                'verbose_name': 'inquiry gallery',
                'verbose_name_plural': 'inquiry galleries',
                'unique_together': {('inquiry', 'is_main'), ('inquiry', 'image')},
            },
        ),
        migrations.AddField(
            model_name='inquiries',
            name='gallery',
            field=models.ManyToManyField(through='review.InquiriesGallery', to='gallery.Image'),
        ),
    ]
